# FoundationClasses
TKernel
Storage

# Storage_DataMapIteratorOfMapOfPers Class Reference

`#include <Storage_DataMapIteratorOfMapOfPers.hxx>`

Inheritance diagram for Storage_DataMapIteratorOfMapOfPers:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Storage_DataMapIteratorOfMapOfPers ()
Standard_EXPORT | Storage_DataMapIteratorOfMapOfPers (const Storage_MapOfPers &aMap)
Standard_EXPORT void | Initialize (const Storage_MapOfPers &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const
Standard_EXPORT const Handle_Storage_Root & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT Storage_DataMapIteratorOfMapOfPers::Storage_DataMapIteratorOfMapOfPers | ( |  | ) |

Standard_EXPORT Storage_DataMapIteratorOfMapOfPers::Storage_DataMapIteratorOfMapOfPers | ( | const Storage_MapOfPers & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Storage_DataMapIteratorOfMapOfPers::Initialize | ( | const Storage_MapOfPers & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& Storage_DataMapIteratorOfMapOfPers::Key | ( |  | ) | const

void Storage_DataMapIteratorOfMapOfPers::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* Storage_DataMapIteratorOfMapOfPers::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* Storage_DataMapIteratorOfMapOfPers::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

Standard_EXPORT const Handle_Storage_Root& Storage_DataMapIteratorOfMapOfPers::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Storage_DataMapIteratorOfMapOfPers.hxx